<?php

require_once(_XE_PATH_.'modules/nowconnect/nowconnect.view.php');

class nowconnectMobile extends nowconnectView
{
    public function init()
    {
		$this->module_info = getModel('nowconnect')->getNowconnectInfo();

		Context::set('module_info', $this->module_info);
		Context::set('module_srl', $this->module_info->module_srl);

		$mskin = $this->module_info->mskin;
		if(!$mskin)
		{
			$mskin = 'default';
		}

		// 스킨 폴더
		$path = sprintf('%s/m.skins/%s', $this->module_path, $mskin);

		if(is_dir($path))
		{
            $this->setTemplatePath($path);	
		}
    }
}